Skip to main content
POST
/
api
/
2.0
/
patients
/
{id}
/
incoming_files
Create a new incoming file
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/patients/{id}/incoming_files/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_type": "<string>",
  "files": [
    123
  ],
  "custom_title": "<string>",
  "document_date": "2023-11-07T05:31:56Z",
  "document_tags": [
    "<string>"
  ],
  "import_history": false,
  "reviewer_user": 123,
  "sign_off": false,
  "urgent": false
}
'

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer
required

The ID of the patient

Body

application/json
document_type
string
required

Type of document (cannot be 'Lab')

files
integer[]
required

Array of file IDs

custom_title
string

Custom title for the document

document_date
string<date-time>

Document date (defaults to current datetime)

document_tags
string[]

Array of document tags

import_history
boolean
default:false

Whether to import history

reviewer_user
integer

User ID of the reviewer

sign_off
boolean
default:false

Whether to sign off the document

urgent
boolean
default:false

Whether the document is urgent

Response

201

No response body